[SCM] vdr packaging repository branch, master, updated. debian/1.7.23-1-12-g25f8b18

etobi git at e-tobi.net
Sun Mar 11 09:42:37 UTC 2012


The following commit has been merged in the master branch:
commit 326d78c14171b180ea8eb89a2b6e743705c9188a
Author: etobi <git at e-tobi.net>
Date:   Wed Feb 22 22:41:38 2012 +0100

    Updated debianize-vdrplugin to use the debhelper V7 format

diff --git a/debian/changelog b/debian/changelog
index 273ca65..89d949f 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -5,6 +5,7 @@ vdr (1.7.24-1) unstable; urgency=low
   * Added 02-upstream-fix2.patch - reverts some problematic changes in the
     upstream release
   * Install scr.conf (Satellite Channel Routing) to /etc/vdr/ (Closes: #660729)
+  * Updated debianize-vdrplugin to use the debhelper V7 format
 
  -- Tobias Grimm <etobi at debian.org>  Sun, 19 Feb 2012 17:21:08 +0100
 
diff --git a/debian/debianize-vdrplugin b/debian/debianize-vdrplugin
index 6eb85ac..be8a7cd 100644
--- a/debian/debianize-vdrplugin
+++ b/debian/debianize-vdrplugin
@@ -25,20 +25,15 @@ create_orig_tarball()
     local tarball
 
     ORIGTARBALL="../vdr-plugin-$PLUGIN"_"$VERSION.orig.tar.gz"
-    
+
     if [ -e $ORIGTARBALL ] ; then
         return
     fi
-    
-    for tarball in `find ../ -name "*$PLUGIN-$VERSION.t*gz"`; do
+
+    for tarball in `find ../ -regex ".*$PLUGIN-$VERSION.t.*\(gz\|bz2\)"`; do
         ln -sf `basename $tarball` $ORIGTARBALL
         return
     done
-      
-    for tarball in `find ../ -name "*$PLUGIN-$VERSION.t*bz2"`; do
-        /bin/bzip2 -cd $tarball | /bin/gzip --best > $ORIGTARBALL
-        return
-    done
 }
 
 check_dh_make()
@@ -69,9 +64,9 @@ check_dh_make
 detect_plugin_name
 create_orig_tarball
 
-dh_make="/usr/bin/dh_make -t /usr/share/vdr-dev/plugin-template -b -p vdr-plugin-$PLUGIN"
+dh_make="/usr/bin/dh_make -d -s -t /usr/share/vdr-dev/plugin-template -p vdr-plugin-$PLUGIN"
 if [ ! -e $ORIGTARBALL ] ; then
-    dh_make="$dh_make -r"
+    dh_make="$dh_make -n"
 fi
 
 $dh_make
@@ -80,3 +75,8 @@ if [ "$?" -eq "0" ]; then
     replace_vdr_version
     replace_plugin_name
 fi
+
+if [ ! -d debian/source ]; then
+  mkdir debian/source
+  echo "3.0 (quilt)" >debian/source/format
+fi
diff --git a/debian/plugin-template/README.Debian b/debian/plugin-template/README.Debian
new file mode 100644
index 0000000..23fb63e
--- /dev/null
+++ b/debian/plugin-template/README.Debian
@@ -0,0 +1,6 @@
+#PACKAGE# for Debian
+#DASHLINE#
+
+<possible notes regarding this package - if none, delete this file>
+
+ -- #USERNAME# <#EMAIL#>  #DATE#
diff --git a/debian/plugin-template/README.source b/debian/plugin-template/README.source
new file mode 100644
index 0000000..82ba536
--- /dev/null
+++ b/debian/plugin-template/README.source
@@ -0,0 +1,9 @@
+#PACKAGE# for Debian
+#DASHLINE#
+
+<this file describes information about the source package, see Debian policy
+manual section 4.14. You WILL either need to modify or delete this file>
+
+#SOURCE_EXTRADOCS#
+
+
diff --git a/debian/plugin-template/compat b/debian/plugin-template/compat
new file mode 100644
index 0000000..45a4fb7
--- /dev/null
+++ b/debian/plugin-template/compat
@@ -0,0 +1 @@
+8
diff --git a/debian/plugin-template/init.d.ex b/debian/plugin-template/init.d.ex
new file mode 100755
index 0000000..94a74cd
--- /dev/null
+++ b/debian/plugin-template/init.d.ex
@@ -0,0 +1,154 @@
+#!/bin/sh
+### BEGIN INIT INFO
+# Provides:          #PACKAGE#
+# Required-Start:    $network $local_fs
+# Required-Stop:
+# Default-Start:     2 3 4 5
+# Default-Stop:      0 1 6
+# Short-Description: <Enter a short description of the sortware>
+# Description:       <Enter a long description of the software>
+#                    <...>
+#                    <...>
+### END INIT INFO
+
+# Author: #USERNAME# <#EMAIL#>
+
+# PATH should only include /usr/* if it runs after the mountnfs.sh script
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+DESC=#PACKAGE#             # Introduce a short description here
+NAME=#PACKAGE#             # Introduce the short server's name here
+DAEMON=/usr/sbin/#PACKAGE# # Introduce the server's location here
+DAEMON_ARGS=""             # Arguments to run the daemon with
+PIDFILE=/var/run/$NAME.pid
+SCRIPTNAME=/etc/init.d/$NAME
+
+# Exit if the package is not installed
+[ -x $DAEMON ] || exit 0
+
+# Read configuration variable file if it is present
+[ -r /etc/default/$NAME ] && . /etc/default/$NAME
+
+# Load the VERBOSE setting and other rcS variables
+. /lib/init/vars.sh
+
+# Define LSB log_* functions.
+# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
+. /lib/lsb/init-functions
+
+#
+# Function that starts the daemon/service
+#
+do_start()
+{
+	# Return
+	#   0 if daemon has been started
+	#   1 if daemon was already running
+	#   2 if daemon could not be started
+	start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
+		|| return 1
+	start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- \
+		$DAEMON_ARGS \
+		|| return 2
+	# Add code here, if necessary, that waits for the process to be ready
+	# to handle requests from services started subsequently which depend
+	# on this one.  As a last resort, sleep for some time.
+}
+
+#
+# Function that stops the daemon/service
+#
+do_stop()
+{
+	# Return
+	#   0 if daemon has been stopped
+	#   1 if daemon was already stopped
+	#   2 if daemon could not be stopped
+	#   other if a failure occurred
+	start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
+	RETVAL="$?"
+	[ "$RETVAL" = 2 ] && return 2
+	# Wait for children to finish too if this is a daemon that forks
+	# and if the daemon is only ever run from this initscript.
+	# If the above conditions are not satisfied then add some other code
+	# that waits for the process to drop all resources that could be
+	# needed by services started subsequently.  A last resort is to
+	# sleep for some time.
+	start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
+	[ "$?" = 2 ] && return 2
+	# Many daemons don't delete their pidfiles when they exit.
+	rm -f $PIDFILE
+	return "$RETVAL"
+}
+
+#
+# Function that sends a SIGHUP to the daemon/service
+#
+do_reload() {
+	#
+	# If the daemon can reload its configuration without
+	# restarting (for example, when it is sent a SIGHUP),
+	# then implement that here.
+	#
+	start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
+	return 0
+}
+
+case "$1" in
+  start)
+    [ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC " "$NAME"
+    do_start
+    case "$?" in
+		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+	esac
+  ;;
+  stop)
+	[ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
+	do_stop
+	case "$?" in
+		0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
+		2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
+	esac
+	;;
+  status)
+       status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
+       ;;
+  #reload|force-reload)
+	#
+	# If do_reload() is not implemented then leave this commented out
+	# and leave 'force-reload' as an alias for 'restart'.
+	#
+	#log_daemon_msg "Reloading $DESC" "$NAME"
+	#do_reload
+	#log_end_msg $?
+	#;;
+  restart|force-reload)
+	#
+	# If the "reload" option is implemented then remove the
+	# 'force-reload' alias
+	#
+	log_daemon_msg "Restarting $DESC" "$NAME"
+	do_stop
+	case "$?" in
+	  0|1)
+		do_start
+		case "$?" in
+			0) log_end_msg 0 ;;
+			1) log_end_msg 1 ;; # Old process is still running
+			*) log_end_msg 1 ;; # Failed to start
+		esac
+		;;
+	  *)
+	  	# Failed to stop
+		log_end_msg 1
+		;;
+	esac
+	;;
+  *)
+	#echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
+	echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
+	exit 3
+	;;
+esac
+
+:
diff --git a/debian/plugin-template/install b/debian/plugin-template/install
index ba14a58..92ab7bf 100644
--- a/debian/plugin-template/install
+++ b/debian/plugin-template/install
@@ -1,2 +1,2 @@
 libvdr-#PLUGIN#.so.*    usr/lib/vdr/plugins/
-debian/tmp/usr/share/locale
+locale                  usr/share/
diff --git a/debian/plugin-template/postinst.ex b/debian/plugin-template/postinst.ex
new file mode 100644
index 0000000..e9c8e3c
--- /dev/null
+++ b/debian/plugin-template/postinst.ex
@@ -0,0 +1,39 @@
+#!/bin/sh
+# postinst script for #PACKAGE#
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/plugin-template/postrm.ex b/debian/plugin-template/postrm.ex
new file mode 100644
index 0000000..fb6ff71
--- /dev/null
+++ b/debian/plugin-template/postrm.ex
@@ -0,0 +1,37 @@
+#!/bin/sh
+# postrm script for #PACKAGE#
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <overwriter>
+#          <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+    ;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/plugin-template/preinst.ex b/debian/plugin-template/preinst.ex
new file mode 100644
index 0000000..18897a0
--- /dev/null
+++ b/debian/plugin-template/preinst.ex
@@ -0,0 +1,35 @@
+#!/bin/sh
+# preinst script for #PACKAGE#
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <new-preinst> `install'
+#        * <new-preinst> `install' <old-version>
+#        * <new-preinst> `upgrade' <old-version>
+#        * <old-preinst> `abort-upgrade' <new-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    install|upgrade)
+    ;;
+
+    abort-upgrade)
+    ;;
+
+    *)
+        echo "preinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/plugin-template/prerm.ex b/debian/plugin-template/prerm.ex
new file mode 100644
index 0000000..4be3659
--- /dev/null
+++ b/debian/plugin-template/prerm.ex
@@ -0,0 +1,38 @@
+#!/bin/sh
+# prerm script for #PACKAGE#
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <prerm> `remove'
+#        * <old-prerm> `upgrade' <new-version>
+#        * <new-prerm> `failed-upgrade' <old-version>
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
+#          <package-being-installed> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    remove|upgrade|deconfigure)
+    ;;
+
+    failed-upgrade)
+    ;;
+
+    *)
+        echo "prerm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/plugin-template/rules b/debian/plugin-template/rules
index 2e942e5..9f487b6 100644
--- a/debian/plugin-template/rules
+++ b/debian/plugin-template/rules
@@ -1,19 +1,20 @@
 #!/usr/bin/make -f
 
-include /usr/share/cdbs/1/rules/debhelper.mk
-# include /usr/share/cdbs/1/rules/dpatch.mk
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
 
-DEB_INSTALL_CHANGELOGS_ALL = HISTORY
+MAKE_OPTIONS = VDRDIR=/usr/include/vdr LIBDIR=. LOCALEDIR=locale
 
-MAKE_OPTIONS = DVBDIR=/usr VDRDIR=/usr/include/vdr LIBDIR=. \
-               LOCALEDIR=debian/tmp/usr/share/locale
+%:
+	dh $@
 
-common-build-arch::
-	$(MAKE) all $(MAKE_OPTIONS)
+override_dh_auto_build:
+	dh_auto_build -- all $(MAKE_OPTIONS)
 
-cleanbuilddir::
+override_dh_auto_clean:
 	$(MAKE) -o .dependencies clean $(MAKE_OPTIONS)
-	rm -f libvdr-*.so.*
+	rm -rf locale libvdr-*.so.*
 
-common-binary-predeb-arch::
+override_dh_gencontrol:
 	sh /usr/share/vdr-dev/dependencies.sh
+	dh_gencontrol
diff --git a/debian/plugin-template/watch.ex b/debian/plugin-template/watch.ex
new file mode 100644
index 0000000..873bee6
--- /dev/null
+++ b/debian/plugin-template/watch.ex
@@ -0,0 +1,23 @@
+# Example watch control file for uscan
+# Rename this file to "watch" and then you can run the "uscan" command
+# to check for upstream updates and more.
+# See uscan(1) for format
+
+# Compulsory line, this is a version 3 file
+version=3
+
+# Uncomment to examine a Webpage
+# <Webpage URL> <string match>
+#http://www.example.com/downloads.php #PACKAGE#-(.*)\.tar\.gz
+
+# Uncomment to examine a Webserver directory
+#http://www.example.com/pub/#PACKAGE#-(.*)\.tar\.gz
+
+# Uncommment to examine a FTP server
+#ftp://ftp.example.com/pub/#PACKAGE#-(.*)\.tar\.gz debian uupdate
+
+# Uncomment to find new files on sourceforge, for devscripts >= 2.9
+# http://sf.net/#PACKAGE#/#PACKAGE#-(.*)\.tar\.gz
+
+# Uncomment to find new files on GooglePages
+# http://example.googlepages.com/foo.html #PACKAGE#-(.*)\.tar\.gz

-- 
vdr packaging repository



More information about the pkg-vdr-dvb-changes mailing list